Market-centric news feed - markets grouped with their news timeline
curl --request GET \
--url https://api.agg.market/news-feed/{category}/markets \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/news-feed/{category}/markets"
headers = {"x-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-app-id': '<api-key>'}};
fetch('https://api.agg.market/news-feed/{category}/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"venueMarketId": "<string>",
"question": "<string>",
"venue": "<string>",
"yesPrice": 123,
"eventTitle": "<string>",
"eventId": "<string>",
"category": "<string>",
"articleCount": 123,
"articles": [
{
"title": "<string>",
"url": "<string>",
"source": "<string>",
"imageUrl": "<string>",
"publishedAt": "<string>",
"summary": "<string>",
"relevanceScore": 123,
"seq": 123,
"addedAt": "<string>"
}
]
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Discovery
Market-centric news feed - markets grouped with their news timeline
GET
/
news-feed
/
{category}
/
markets
Market-centric news feed - markets grouped with their news timeline
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
Path Parameters
Query Parameters
Required string length:
1 - 32Pattern:
^[0-9]+$Required string length:
1 - 64Required string length:
1 - 64Required range:
1 <= x <= 50⌘I